Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.anim.timing
Class EventLikeTimingSpecifier

    java.lang.Object
      org.apache.batik.anim.timing.TimingSpecifier
          org.apache.batik.anim.timing.OffsetTimingSpecifier
              org.apache.batik.anim.timing.EventLikeTimingSpecifier

Direct Known Subclasses:
  AccesskeyTimingSpecifier, EventbaseTimingSpecifier

    public abstract class EventLikeTimingSpecifier

extends OffsetTimingSpecifier

Abstract class from which all event-like timing specifier classes derive.

Field Summary

Fields inherited from class org.apache.batik.anim.timing.OffsetTimingSpecifier
`offset`

Fields inherited from class org.apache.batik.anim.timing.TimingSpecifier
`isBegin, owner`

Constructor Summary
`EventLikeTimingSpecifier(TimedElement owner, boolean isBegin, float offset)` Creates a new EventLikeTimingSpecifier object.

Method Summary
`boolean` | `isEventCondition()` Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).
`abstract void` | `resolve(Event e)` Invoked to resolve an event-like timing specifier into an instance time.

Methods inherited from class org.apache.batik.anim.timing.OffsetTimingSpecifier
`initialize, toString`

Methods inherited from class org.apache.batik.anim.timing.TimingSpecifier
`deinitialize, getOwner, isBegin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventLikeTimingSpecifier

    public EventLikeTimingSpecifier(TimedElement owner,
                                    boolean isBegin,
                                    float offset)

  Creates a new EventLikeTimingSpecifier object.

Method Detail

### isEventCondition

    public boolean isEventCondition()

  Returns whether this timing specifier is event-like (i.e., if it is an eventbase, accesskey or a repeat timing specifier).

  Overrides:
    `isEventCondition` in class `OffsetTimingSpecifier`

### resolve

    public abstract void resolve(Event e)

  Invoked to resolve an event-like timing specifier into an instance time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.